"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.backTicks = backTicks;
const utils_1 = require("../utils");
/**
 * Wraps a string in backticks.
 * If the input string itself contains a backtick, pipe, or backslash (which can result in unwanted side effects) the string is escaped instead.
 */
function backTicks(text) {
    return /(`|\||\\)/g.test(text) ? (0, utils_1.escapeChars)(text) : `\`${text}\``;
}
