"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatTableCell = formatTableCell;
/**
 * - Replace new lines with spaces
 * - Replaces code blocks with single backticks
 * - Replaces multiple spaces with single spaces
 */
function formatTableCell(str) {
    return str
        .replace(/\r?\n/g, ' ')
        .replace(/```(\w+\s)?([\s\S]*?)```/gs, (match, p1, p2) => `\`${p2.trim()}\``)
        .replace(/ +/g, ' ')
        .trim();
}
