import { ProjectReflection } from 'typedoc';
/**
 * Replacement of TypeDoc's Application.generateDocs method to decouple HTML logic.
 */
export declare function generateDocs(project: ProjectReflection, out: string): Promise<void>;
/**
 * Replacement of TypeDoc's Renderer.render method to decouple HTML logic.
 *
 * This is essentially a copy of the base method with a few tweaks.
 *
 * - Removes unnecessary async calls to load highlighters only required for html theme.
 * - Removes hooks logic that are jsx specific.
 * - Adds any logic specific to markdown rendering.
 */
export declare function render(project: ProjectReflection, outputDirectory: string): Promise<void>;
