"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.readme = readme;
/**
 * Template that specifically maps to the resolved readme file. This template is not used when 'readme' is set to 'none'.
 */
function readme(page) {
    const md = [];
    if (!this.options.getValue('hidePageHeader')) {
        md.push(this.partials.header());
    }
    if (!this.options.getValue('hideBreadcrumbs')) {
        md.push(this.partials.breadcrumbs());
    }
    if (page.model.readme) {
        md.push(this.helpers.getCommentParts(page.model.readme));
    }
    md.push(this.partials.footer());
    return md.join('\n\n');
}
